# pydicom.datadict.get_private_entry

pydicom.datadict.get_private_entry(tag: int | str | tuple[int, int] | BaseTag, private_creator: str) → tuple[str, str, str, str]

  Return an entry from the private dictionary corresponding to tag.

  Parameters:

    - tag (int or str or Tuple[int, int]) – The tag for the element whose entry is to be retrieved, in any of the forms accepted by `Tag()`. Only entries in the private dictionary will be checked.

    - private_creator (str) – The name of the private creator.

  Returns:

    The (VR, VM, name, is_retired) from the private dictionary.

  Return type:

    tuple of str

  Raises:

    KeyError – If the tag or private creator is not present in the private dictionary.

  See also

  `get_entry`

    Return an entry from the DICOM data dictionary.